- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.AliasNetworkEndpointList.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.AliasNetworkEndpointList.SCHEMA_REPRESENTATION.item.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.AliasNetworkEndpointList.SCHEMA_REPRESENTATION.item.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.AliasNetworkEndpointList.SCHEMA_REPRESENTATION.warning.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/aliasNetworkEndpoints/list#try-it)

API Version : 2026-10-01-preview
Retrieves a list of AliasNetworkEndpoints available to the specified project.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/aliasNetworkEndpoints?$apiVersion=2026-10-01-preview`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Required. Project ID for this request. |
| `zone` | `string` Required. Name of the zone of this request. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`) |
| `pageToken` | `string` Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results. |
| `filter` | `string` A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal [AIP-160](https://google.aip.dev/160). These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: labels.owner:* You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on [resource labels](https://docs.cloud.google.com/compute/docs/labeling-resources). To filter on multiple expressions, provide each separate expression within parentheses. For example: (scheduling.automaticRestart = true) (cpuPlatform = "Intel Skylake") By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: (cpuPlatform = "Intel Skylake") OR (cpuPlatform = "Intel Broadwell") AND (scheduling.automaticRestart = true) If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq "double quoted literal"` `(fieldname1 eq literal) (fieldname2 ne "literal")` The literal value is interpreted as a regular expression using Google [RE2](https://github.com/google/re2/wiki/Syntax) library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions. |
| `orderBy` | `string` Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy="creationTimestamp desc"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported. |

### Request body

The request body must be empty.

### Response body

Response message for AliasNetworkEndpoints.List.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "id": string, "items": [ { "id": string, "name": string, "description": string, "aliases": { string: { "ipAddress": string, "ipVersion": enum, "subnetworkRangeNames": [ string ], "effectiveIpAddress": string, "effectiveSubnetworkRangeName": string }, ... }, "host": { "instance": string }, "subnetwork": string, "securityTagInheritance": enum, "labels": { string: string, ... }, "annotations": { string: string, ... }, "selfLink": string, "creationTimestamp": string, "updateTime": string, "status": { "state": enum, "network": string } } ], "nextPageToken": string, "selfLink": string, "warning": { "code": enum, "message": string, "data": [ { "key": string, "value": string } ] }, "etag": string, "unreachables": [ string ] } ``` |

| Fields ||
|---|---|
| `id` | `string` Output only. Unique identifier for the resource; defined by the server. |
| `items[]` | `object` A list of AliasNetworkEndpoint resources. |
| `items[].id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `items[].name` | `string` Identifier. Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. |
| `items[].description` | `string` Optional. An optional description of this resource. Provide this field when you create the resource. |
| `items[].aliases[]` | `map (key: string, value: object)` Required. The map of network aliases allocated for the AliasNetworkEndpoint. This map is keyed with user-provided alias names. |
| `items[].aliases[].ipAddress` | `string` Input only. The IP address of the network endpoint. If specified, the server performs a validation check for uniqueness. If the field is omitted, the system automatically allocates an IP and populates the effectiveIpAddress field. |
| `items[].aliases[].ipVersion` | `enum` Required. The IP version of the IP. It is IPv4 or IPv6. |
| `items[].aliases[].subnetworkRangeNames[]` | `string` Input only. Defines candidate secondary ranges for allocating the alias IPs. If it is empty, the IP would be allocated from the primary range of the subnetwork. This field is INPUT_ONLY and used only during resource creation, hence a repeated field is acceptable as per AIP-2825. It is not mutable. |
| `items[].aliases[].effectiveIpAddress` | `string` Output only. The actual IP address allocated by the system. |
| `items[].aliases[].effectiveSubnetworkRangeName` | `string` Output only. The actual secondary range used for allocation. |
| `items[].host` | `object` Required. The host that the alias network endpoint is bound to. |
| `items[].host.instance` | `string` Required. The URL to the instance that this alias network endpoint is bound to. |
| `items[].subnetwork` | `string` Required. The URL of the subnetwork that this alias network endpoint belongs to. |
| `items[].securityTagInheritance` | `enum` Optional. The security tag inheritance setting for the AliasNetworkEndpoint. |
| `items[].labels` | `map (key: string, value: string)` Optional. The labels map for the AliasNetworkEndpoint. |
| `items[].annotations` | `map (key: string, value: string)` Optional. The annotations map for the AliasNetworkEndpoint. Keys and values must follow Kubernetes limits. Keys must be a maximum of 253 characters. Keys should be dot-namespaced, following the Kubernetes annotation key format: `([DNS subdomain]/)?[RFC 1123 name]`. Values must be a maximum of 256 characters. |
| `items[].selfLink` | `string` Output only. Server-defined URL for the resource. |
| `items[].creationTimestamp` | `string` Output only. Creation timestamp in RFC3339 text format. |
| `items[].updateTime` | `string` Output only. Update timestamp in RFC3339 text format. |
| `items[].status` | `object` Output only. Current status of the alias network endpoint. |
| `items[].status.state` | `enum` Output only. The state of the alias network endpoint. |
| `items[].status.network` | `string` Output only. The URL of the network that this alias network endpoint belongs to. |
| `nextPageToken` | `string` Output only. This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results. |
| `selfLink` | `string` Output only. Server-defined URL for this resource. |
| `warning` | `object` Output only. Informational warning message. |
| `warning.code` | `enum` Output only. A warning code, if applicable. For example, Compute Engine returns `NO_RESULTS_ON_PAGE` if there are no results in the response. |
| `warning.message` | `string` Output only. A human-readable description of the warning code. |
| `warning.data[]` | `object` Output only. Metadata about this warning in `key: value` format. For example: ```html "data": [  {  "key": "scope",  "value": "zones/us-east1-d"  }] ``` <br /> |
| `warning.data[].key` | `string` Output only. A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be `scope` and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding). |
| `warning.data[].value` | `string` Output only. A warning data value corresponding to the key. |
| `etag` | `string` ETag of the resource list. |
| `unreachables[]` | `string` Output only. Unreachable resources. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).